> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Way Bills By Document Data

> Get E-Way Bill by passing document type and document number.



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/consignor/bill
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignor/bill:
    get:
      tags:
        - E-Way Bill1
        - Consignor
      summary: Get E-Way Bill By Document Data
      operationId: getEWayBillByDocumentData
      parameters:
        - name: document_type
          in: query
          description: 'Document type. Possible values: INV'
          required: true
          schema:
            type: string
            example: INV
        - name: document_number
          in: query
          description: Document number
          required: true
          schema:
            type: string
            example: EWB-00001
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: 200 EWB fetched / 418 No data found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          alert:
                            type: string
                            nullable: true
                            example: null
                          ewayBillDate:
                            type: string
                            example: 13/05/2024 12:50:00 PM
                          ewayBillNo:
                            type: number
                            example: 231010079649
                          validUpto:
                            type: string
                            example: '18/05/2024 23:59:59 '
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: '418'
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 1b6b96a2-1f93-4e29-b1af-2841824c1ffe
              examples:
                200 EWB fetched:
                  summary: 200 EWB fetched
                  value:
                    code: 200
                    data:
                      data:
                        alert: null
                        ewayBillDate: 13/05/2024 12:50:00 PM
                        ewayBillNo: 231010079649
                        validUpto: '18/05/2024 23:59:59 '
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 1b6b96a2-1f93-4e29-b1af-2841824c1ffe
                418 No data found:
                  summary: 418 No data found
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '418'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 142aadb4-9f82-4ac1-8f13-90568fa2ae09
          headers: {}
      deprecated: false
      security: []

````